Skip to main content
GET
/
api
/
subscription
/
{subscriptionId}
Get subscription status
curl --request GET \
  --url https://api.suby.fi/api/subscription/{subscriptionId} \
  --header 'X-Suby-Api-Key: <api-key>'
{
  "success": true,
  "data": {
    "id": "sub_abc123",
    "productId": "product_456def",
    "status": "ACTIVE",
    "customerEmail": "customer@example.com",
    "createdAt": "2026-01-15T10:30:00.000Z",
    "expiresAt": "2026-02-15T10:30:00.000Z"
  }
}

Authorizations

X-Suby-Api-Key
string
header
required

API key authentication. Include your API key in the X-Suby-Api-Key header:

X-Suby-Api-Key: your_api_key_here

Path Parameters

subscriptionId
string
required

Unique identifier of the subscription to retrieve

Response

Subscription details retrieved successfully

success
boolean

Indicates if the request was successful

Example:

true

data
object

Customer subscription information and status